/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright (C) 2021 KikooDX */

#include <stdio.h>
#include <stdlib.h>

#include "level.h"
#include "renderer/init.h"

int main(int argc, char **argv) {
	struct Level level;
	level.data = NULL;

	if (argc != 3) {
		fprintf(stderr, "ERROR: expected 2 argument, got %d\n", argc-1);
		return EXIT_FAILURE;
	}

	level_read(&level, argv[1]);
	renderer_init();

	level_write(level, argv[2]);
	level_free(&level);
	renderer_deinit();

	return EXIT_SUCCESS;
}
